Subject: Re: [netmod] nmda-guidelines-01: value space for config vs state

From: Phil Shafer <[email-masked]>
Date: Tue, 25 Jul 2017 17:24:30 -0400

"Sterne, Jason (Nokia - CA/Ottawa)" writes:
>   OK - so the same leaf (in the schema) has the same value space in the
>   conventional datastores and in the operational datastore.  That probably
>   makes sense since a single schema describes the model for that leaf
>   whether it is accessed in conventional DSes or the operational DS.
>
>   But I think that also means that *if* you need slightly different value
>   spaces for an item, then you'll need to split it into multiple leafs in
>   the schema.

Absolutely.  Do we need to call this/these scenarios out directly
in the NMDA draft?  Or is this more of an FAQ item?

Thanks,
 Phil

---

From: Kent Watsen <[email-masked]>
Date: Tue, 25 Jul 2017 21:43:18 +0000

> Do we need to call this/these scenarios out directly

I support putting it in the NMDA draft.  Already I looked for an
example in the Appendix, which I thought might be there, given 
how often I know the NMDA-authors discussed it.  But, beyond an 
example, it might help to have a high-level statement somewhere,
as currently the idea is somewhat buried in a section regarding
remnants.

Kent // contributor